
Foreman - Feature #836

search bookmarks

04/13/2011 08:24 AM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Enable saving search queries and retrieve them by name and user.

A bookmark should belong to the current user by default.

An owner should be able to edit and delete his queries.

A bookmark can be private or public. A public bookmark will be visible to all users.

Associated revisions

Revision 9161008b - 05/02/2011 02:56 AM - Amos Benari

added search bookmarks, fixes #836

adds sub navigations under main menu items, each sub navigation is a bookmark.

adds visual improvements to main menu   

app/controllers/bookmarks_controller.rb            |   74 ++++++++

app/helpers/application_helper.rb                  |    2 

app/helpers/bookmarks_helper.rb                    |    2 +

app/helpers/home_helper.rb                         |   13 +

app/models/bookmark.rb                             |   22 ++

app/views/bookmarks/_form.html.erb                 |   17 ++

app/views/bookmarks/_list.html.erb                 |    5 

app/views/bookmarks/edit.html.erb                  |    7 +

app/views/bookmarks/index.html.erb                 |   25 +++

app/views/bookmarks/new.html.erb                   |    5 

app/views/bookmarks/welcome.html.erb               |    8 +

app/views/common/_searchbar.erb                    |    5 +

app/views/home/_menu.erb                           |   34 +---

app/views/home/_settings.html.erb                  |   62 +++----

app/views/layouts/application.html.erb             |    5 

config/routes.rb                                   |    2 +

db/migrate/20110417102947_add_table_bookmarks.rb   |   27 +++

public/images/header_bg.png                        |  Bin 1416 -> 1266 bytes

public/images/ui-bg_flat_0_aaaaaa_40x100.png       |  Bin 0 -> 180 bytes

public/images/ui-bg_flat_55_fbec88_40x100.png      |  Bin 0 -> 182 bytes

public/images/ui-bg_glass_85_dfeffc_1x400.png      |  Bin 0 -> 123 bytes

public/images/ui-bg_glass_95_fef1ec_1x400.png      |  Bin 0 -> 119 bytes

.../images/ui-bg_gloss-wave_55_5c9ccc_500x100.png  |  Bin 0 -> 4033 bytes

.../images/ui-bg_inset-hard_100_f5f8f9_1x100.png   |  Bin 0 -> 104 bytes

public/images/ui-icons_2e83ff_256x240.png          |  Bin 0 -> 4369 bytes

public/images/ui-icons_469bdd_256x240.png          |  Bin 0 -> 4369 bytes

public/images/ui-icons_6da8d5_256x240.png          |  Bin 0 -> 4369 bytes

public/images/ui-icons_cd0a0a_256x240.png          |  Bin 0 -> 4369 bytes

public/images/ui-icons_d8e7f3_256x240.png          |  Bin 0 -> 4369 bytes

public/images/ui-icons_f9bd01_256x240.png          |  Bin 0 -> 4369 bytes

public/javascripts/menu.js                         |  147 ++++++++++++++++++

public/stylesheets/style.css                       |   75 +++----

test/fixtures/bookmarks.yml                        |   13 +

test/functional/bookmarks_controller_test.rb       |   41 +++++

test/unit/bookmark_test.rb                         |   30 +++

test/unit/helpers/bookmarks_helper_test.rb         |    4 +
36 files changed, 534 insertions(), 91 deletions(-)

create mode 100644 app/controllers/bookmarks_controller.rb

create mode 100644 app/helpers/bookmarks_helper.rb

create mode 100644 app/models/bookmark.rb

create mode 100644 app/views/bookmarks/_form.html.erb

create mode 100644 app/views/bookmarks/_list.html.erb

create mode 100644 app/views/bookmarks/edit.html.erb

create mode 100644 app/views/bookmarks/index.html.erb

create mode 100644 app/views/bookmarks/new.html.erb

create mode 100644 app/views/bookmarks/welcome.html.erb

create mode 100644 db/migrate/20110417102947_add_table_bookmarks.rb

create mode 100644 public/images/ui-bg_flat_0_aaaaaa_40x100.png

create mode 100644 public/images/ui-bg_flat_55_fbec88_40x100.png

create mode 100644 public/images/ui-bg_glass_85_dfeffc_1x400.png

create mode 100644 public/images/ui-bg_glass_95_fef1ec_1x400.png

create mode 100644 public/images/ui-bg_gloss-wave_55_5c9ccc_500x100.png

create mode 100644 public/images/ui-bg_inset-hard_100_f5f8f9_1x100.png

create mode 100644 public/images/ui-icons_2e83ff_256x240.png

create mode 100644 public/images/ui-icons_469bdd_256x240.png

create mode 100644 public/images/ui-icons_6da8d5_256x240.png

create mode 100644 public/images/ui-icons_cd0a0a_256x240.png

create mode 100644 public/images/ui-icons_d8e7f3_256x240.png

create mode 100644 public/images/ui-icons_f9bd01_256x240.png

create mode 100644 public/javascripts/menu.js

create mode 100644 test/fixtures/bookmarks.yml

create mode 100644 test/functional/bookmarks_controller_test.rb

create mode 100644 test/unit/bookmark_test.rb

create mode 100644 test/unit/helpers/bookmarks_helper_test.rb

Signed-off-by: Ohad Levy <ohadlevy@gmail.com>

Revision 94ccc91f - 05/02/2011 03:11 AM - Ohad Levy

ensures migration can actually run... refs #836

Revision 8003e4f9 - 05/02/2011 10:40 AM - Amos Benari

fixed menu item when logging in with a non-admin user, refs #836.

Revision 7aeb7039 - 05/23/2011 10:39 AM - Amos Benari

fixes edit bookmark url redirection after edit - refs #836.

Signed-off-by: Amos Benari <abenari@redhat.com>

Revision 2e587465 - 05/23/2011 11:00 AM - Ohad Levy

fixed broken test - refs #836

Revision 2b9f07fe - 06/07/2011 03:44 AM - Ohad Levy

minor cleanup - refs #836

History

#1 - 05/02/2011 03:26 AM - Amos Benari

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 9161008b9bc7c5d15ebd7e9025bc8995808654c0.

#2 - 05/02/2011 03:27 AM - Ohad Levy

- Category set to Search

- Assignee set to Amos Benari

- Target version set to 0.3

#3 - 05/03/2011 08:50 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
